Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.commonapi
Interface Message

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  RawMessage

All Known Implementing Classes:
  AbstractSubscribeMessage, AggregationMessage, AggregationTimeoutMessage, AnycastFailureMessage, AnycastMessage, BroadcastLeafSet, BroadcastRouteRow, ByteBufferMsg, CacheMessage, ConsistentJoinMsg, ContinuationMessage, DropMessage, FetchHandleMessage, FetchMessage, GCCollectMessage, GCInsertMessage, GCLookupHandlesMessage, GCRefreshMessage, GlacierDataMessage, GlacierFetchMessage, GlacierMessage, GlacierNeighborRequestMessage, GlacierNeighborResponseMessage, GlacierQueryMessage, GlacierRangeForwardMessage, GlacierRangeQueryMessage, GlacierRangeResponseMessage, GlacierRefreshCompleteMessage, GlacierRefreshPatchMessage, GlacierRefreshProbeMessage, GlacierRefreshResponseMessage, GlacierResponseMessage, GlacierSyncMessage, GlacierTimeoutMessage, HelloMsg, InitiateJoin, InitiateLeafSetMaintenance, InitiatePingNeighbor, InitiateRouteSetMaintenance, InsertMessage, JavaSerializedMessage, JoinRequest, LeafSetRequest, LeafSetResponse, LookupHandlesMessage, LookupMessage, LookupService.NodeLookupQuery, LookupService.NodeLookupResponse, LookupService.NodeLookupTimeout, MaintenanceMessage, Message, MessageLostMessage, MultiringRegrTest.MultiringTestMessage, MyMsg, MyMsg, MyMsg, MyMsg, MyMsg, MyMsg, MyMsg, MyMsg, MyMsg, MyMsg, MyMsg, OpenChannelMsg, PastMessage, PastryEndpointMessage, PilotForwardMsg, PingMessageNew, PJavaSerializedMessage, PRawMessage, ProbeRequestMessage, PublishMessage, PublishRequestMessage, ReminderMessage, ReminderMessage, RendezvousJoinRequest, ReplicationMessage, RequestLeafSet, RequestMessage, RequestRouteRow, ResponseMessage, RouteMessage, RouteRowRequest, RouteRowResponse, ScribeMessage, SubscribeAckMessage, SubscribeFailedMessage, SubscribeLostMessage, SubscribeMessage, TimeoutMessage, UnsubscribeMessage

    public interface Message

extends java.io.Serializable

Version:
  $Id: Message.java 3647 2007-03-13 13:50:26Z jeffh $
Author:
  Alan Mislove, Peter Druschel

Field Summary
`static int` | `DEFAULT_PRIORITY`
`static int` | `HIGH_PRIORITY`
`static int` | `LOW_PRIORITY`
`static int` | `LOWEST_PRIORITY`
`static int` | `MAX_PRIORITY`
`static int` | `MEDIUM_HIGH_PRIORITY`
`static int` | `MEDIUM_LOW_PRIORITY`
`static int` | `MEDIUM_PRIORITY`

Method Summary
`int` | `getPriority()` Method which should return the priority level of this message.

Field Detail

### MAX_PRIORITY

    static final int MAX_PRIORITY

See Also:
  Constant Field Values

### HIGH_PRIORITY

    static final int HIGH_PRIORITY

See Also:
  Constant Field Values

### MEDIUM_HIGH_PRIORITY

    static final int MEDIUM_HIGH_PRIORITY

See Also:
  Constant Field Values

### MEDIUM_PRIORITY

    static final int MEDIUM_PRIORITY

See Also:
  Constant Field Values

### MEDIUM_LOW_PRIORITY

    static final int MEDIUM_LOW_PRIORITY

See Also:
  Constant Field Values

### LOW_PRIORITY

    static final int LOW_PRIORITY

See Also:
  Constant Field Values

### LOWEST_PRIORITY

    static final int LOWEST_PRIORITY

See Also:
  Constant Field Values

### DEFAULT_PRIORITY

    static final int DEFAULT_PRIORITY

See Also:
  Constant Field Values

Method Detail

### getPriority

    int getPriority()

  Method which should return the priority level of this message. The messages can range in priority from -15 (highest priority) to 15 (lowest) - when sending messages across the wire, the queue is sorted by message priority. If the queue reaches its limit, the lowest priority messages are discarded. Thus, applications which are very verbose should have LOW_PRIORITY or lower, and applications which are somewhat quiet are allowed to have MEDIUM_PRIORITY or possibly even HIGH_PRIORITY.

  Returns:
    This message's priority

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.